Index: Lib/test/test_posix.py
===================================================================
--- Lib/test/test_posix.py	(revision 60968)
+++ Lib/test/test_posix.py	(working copy)
@@ -204,6 +204,19 @@
             if hasattr(st, 'st_flags'):
                 posix.lchflags(test_support.TESTFN, st.st_flags)
 
+    def test_times(self):
+        if (hasattr(posix, 'times') and hasattr(posix, 'fork') and
+            hasattr(posix, 'wait')):
+            # See issue #1040026.
+            WAIT_TIME = 0.1
+            if not posix.fork():
+                while time.clock() < WAIT_TIME:
+                    pass
+                posix._exit(0)
+            posix.wait()
+            elapsed = posix.times()[2] + posix.times()[3]
+            self.assertAlmostEqual(WAIT_TIME, elapsed, 2)
+
 def test_main():
     test_support.run_unittest(PosixTester)
 
